Package svnmailer :: Package notifier :: Module _multimail :: Class _MultiMail

[hide private]

# Class _MultiMail

source code

         email.message.Message --+
                                 |
          email.mime.base.MIMEBase --+
                                     |
    email.mime.multipart.MIMEMultipart --+
                                         |
                                        _MultiMail

A multimail class

Instance Methods | [hide private]

__init__(self, subject, parts) Initialization | source code

dump(self, fp) Serializes the mail into a descriptor | source code

update(self, headers) Update the header set of the mail | source code

Inherited from `email.message.Message`: `__contains__`, `__delitem__`, `__getitem__`, `__len__`, `__setitem__`, `__str__`, `add_header`, `as_string`, `attach`, `del_param`, `get`, `get_all`, `get_boundary`, `get_charset`, `get_charsets`, `get_content_charset`, `get_content_maintype`, `get_content_subtype`, `get_content_type`, `get_default_type`, `get_filename`, `get_param`, `get_params`, `get_payload`, `get_unixfrom`, `has_key`, `is_multipart`, `items`, `keys`, `replace_header`, `set_boundary`, `set_charset`, `set_default_type`, `set_param`, `set_payload`, `set_type`, `set_unixfrom`, `values`, `walk`

Inherited from `email.message.Message` (private): `_get_params_preserve`

Method Details | [hide private]

### __init__(self, subject, parts)
(Constructor)

source code

Initialization

Parameters:
  - `subject` (`str`) - The subject to use
  - `parts` (`list`) - The body parts
Overrides: email.message.Message.__init__

### dump(self, fp)

source code

Serializes the mail into a descriptor

Parameters:
  - `fp` (file like object) - The file object

### update(self, headers)

source code

Update the header set of the mail

Parameters:
  - `headers` (`dict`) - The new headers